MSGCMP(1)

NUME
msgcmp - compară catalogul și șablonul de mesaje

SINOPSIS
msgcmp [OPȚIUNE] def.po ref.pot

DESCRIERE

Compară două fișiere .po stil Unifourm pentru a verifica dacă ambele conțin același set de șiruri msgid. Fișierul def.po este un fișier PO existent cu tranduceri. Fișierul ref.pot este ultimul fișier PO creat sau un fișier șablon PO (creat în general de «xgettext»). Acest lucru este util pentru a verifica dacă ați tradus fiecare mesaj din programul dumneavoastră. Acolo unde nu poate fi găsită o potrivire exactă, se va marca mesajul cu „fuzzy” pentru a produce diagnostice mai bune..PP Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

  Locație fișier de intrare:

def.po
    traduceri

ref.pot
    referințe la surse

-D, --directory=DIRECTOR
    adaugă DIRECTOR la listă pentru căutarea fișierelor de intrare

  Modificatori operație:

-m, --multi-domain
    aplică ref.pot la fiecare dintre domeniile din def.po

-N, --no-fuzzy-matching
    nu folosește potrivire aproximativă (fuzzy)

--use-fuzzy
    folosește intrări parțial traduse, aproximative

--use-untranslated
    păstrează pe cele netraduse

  Sintaxă fișier de intrare:

-P, --properties-input
    fișierele de intrare sunt în sintaxă .properties Java

--stringtable-input
    fișierele de intrare sunt în sintaxă .strings NeXTstep/GNUstep

  Ieșire informativă:

-h, --help
    afișează acest mesaj de ajutor și iese

-V, --version
    afișează informațiile despre versiune și iese

AUTOR
Scris de Peter Miller.

RAPORTAREA ERORILOR
Raportați erorile în sistemul de urmărire a erorilor la <https://savannah.gnu.org/projects/gettext> sau prin e-mail la <bug-gettext@gnu.org>.

DREPTURI DE AUTOR
Drepturi de autor © 1995-2025 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă pentru msgcmp este menținută ca un manual Texinfo. Dacă programele info și msgcmp sunt instalate corespunzător în calculatorul dvs., comanda

    info msgcmp

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.